Package org.eclipse.m2m.atl.adt.runner

# Class CreateModulePropertiesWriter

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreateModulePropertiesWriter

public class CreateModulePropertiesWriter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`nl`
`final String`
`NL`
`protected final String`
`TEXT_1`
`protected final String`
`TEXT_10`
`protected final String`
`TEXT_11`
`protected final String`
`TEXT_12`
`protected final String`
`TEXT_2`
`protected final String`
`TEXT_3`
`protected final String`
`TEXT_4`
`protected final String`
`TEXT_5`
`protected final String`
`TEXT_6`
`protected final String`
`TEXT_7`
`protected final String`
`TEXT_8`
`protected final String`
`TEXT_9`

## Constructor Summary

Constructors
Constructor
Description
`CreateModulePropertiesWriter()`

## Method Summary

Modifier and Type
Method
Description
`static CreateModulePropertiesWriter`
`create(String lineSeparator)`
`String`
`generate(Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nl

protected static String nl

### NL

public final String NL

### TEXT_1

protected final String TEXT_1

### TEXT_2

protected final String TEXT_2

### TEXT_3

protected final String TEXT_3

### TEXT_4

protected final String TEXT_4

See Also:
  - Constant Field Values

### TEXT_5

protected final String TEXT_5

See Also:
  - Constant Field Values

### TEXT_6

protected final String TEXT_6

### TEXT_7

protected final String TEXT_7

See Also:
  - Constant Field Values

### TEXT_8

protected final String TEXT_8

See Also:
  - Constant Field Values

### TEXT_9

protected final String TEXT_9

### TEXT_10

protected final String TEXT_10

See Also:
  - Constant Field Values

### TEXT_11

protected final String TEXT_11

### TEXT_12

protected final String TEXT_12

See Also:
  - Constant Field Values

## Constructor Details

### CreateModulePropertiesWriter

public CreateModulePropertiesWriter()

## Method Details

### create

public static CreateModulePropertiesWriter create(String lineSeparator)

### generate

public String generate(Object argument)